### Index

* [0 - Meta-Listas](#0---meta-listas)
* [1 - Agnósticos](#1---agn&#x00F3;sticos)
  * [Algoritmos y Estructuras de Datos](#algoritmos)
  * [Base de Datos](#base-de-datos)
  * [Ciencia Computacional](#ciencia-computacional)
  * [Cursos Masivos en Línea](#cursos-masivos-en-L&#x00ED;nea)
  * [Metodologías de desarrollo de software](#metodolog&#x00ED;as-de-desarrollo-de-software)
  * [Misceláneos](#miscel&#x00ED;neos)
  * [Paradigmas de Programación](#paradigmas-de-programaci&#x00F3;n)
  * [Sistemas Operativos](#sistemas-operativos)
* [Android](#android)
* [C](#c)
* [C++](#c-1)
* [Coffeescript](#coffeescript)
* [Emacs](#emacs)
* [Ensamblador](#ensamblador)
* [Erlang](#erlang)
* [Git](#git)
* [Github](#github)
* [Haskell](#haskell)
* [HTML & CSS](#html--css)
* [Java](#java)
* [JavaScript](#javascript)
  * [AngularJS](#angularjs)
  * [D3](#d3js)
  * [jQuery](#jquery)
  * [node.js](#nodejs)
* [LaTeX](#latex)
* [Linux](#linux)
* [.NET (C# Visual Studio)](#net-c--visual-studio)
* [NoSQL](#nosql)
  * [MongoDB](#mongodb)
* [Perl](#perl)
* [PHP](#php)
* [Python](#python)
  * [Django](#django)
  * [Web2py](#web2py)
* [R](#r)
* [Ruby](#ruby)
  * [Ruby on Rails](#ruby-on-rails)
* [Scala](#scala)
* [Scratch](#scratch)
* [SQL](#sql)
* [SVG](#svg)


### 0 - Meta-Listas

* [Aprender Python](http://python.org.ar/wiki/AprendiendoPython) - Python Argentina
* [Apuntes Completos de Desarrollo Web](http://jorgesanchez.net) - Jorge Sánchez
* [Desarrollo de Aplicaciones Web - Temario Completo](https://github.com/statickidz/TemarioDAW#temario-daw) - José Luis Comesaña (Github)
* [Desarrollo de Aplicaciones Web y Sistemas Microinformáticos y Redes](https://javiergarciaescobedo.es) - Javier García Escobedo
* [Gitbook - Libros útiles en español](https://github.com/DpdC/gitbook-biblioteca-impresionante-en-espanol#gitbook---biblioteca-de-libros-en-español--) (Github)
* [Múltiples Cursos y Enlaces de Tecnología Informática](http://elvex.ugr.es) - Fernando Berzal
* [OpenLibra - Biblioteca recopilatorio de libros libres](https://openlibra.com/es/collection)
* [Universidad Autónoma de Mexico - Plan (2016)](http://fcasua.contad.unam.mx/apuntes/interiores/plan2016_1.php)


### 1 - Agnósticos

#### Algoritmos

* [Algoritmos y Programación (Guía para docentes)](http://www.eduteka.org/pdfdir/AlgoritmosProgramacion.pdf) (PDF)
* [Apuntes de Algoritmos y Estructuras de Datos](https://openlibra.com/en/book/download/apuntes-de-algoritmos-y-estructuras-de-datos) (PDF)
* [Breves Notas sobre Análisis de Algoritmos](http://lya.fciencias.unam.mx/jloa/publicaciones/analisisdeAlgoritmos.pdf) (PDF)
* [Fundamentos de Informática y Programación](http://robotica.uv.es/Libro/Indice.html) (HTML)
* [Temas selectos de estructuras de datos](http://lya.fciencias.unam.mx/jloa/publicaciones/estructurasdeDatos.pdf) (PDF)
* [Teoría sintáctico-gramatical de objetos](http://www.bubok.es/libros/219288/Teoria-sintacticogramatical-de-objetos) (Bubok)


#### Base de Datos

* [Apuntes de Base de Datos 1](http://rua.ua.es/dspace/bitstream/10045/2990/1/ApuntesBD1.pdf) (PDF)
* [Base de Datos (2005)](http://www.uoc.edu/masters/oficiales/img/913.pdf) - Mercedes Marqués (PDF)
* [Base de Datos (2011)](https://openlibra.com/es/book/download/bases-de-datos-2) - Mercedes Marqués (PDF)
* [Base de Datos Avanzadas (2013)](https://openlibra.com/es/book/download/bases-de-datos-avanzadas) - Aramburu & Sanz Blasco (PDF)
* [Diseño Conceptual de Bases de Datos](https://openlibra.com/es/book/download/diseno-conceptual-de-bases-de-datos) (PDF)


#### Ciencia Computacional

* [Breves Notas sobre Autómatas y Lenguajes](http://lya.fciencias.unam.mx/jloa/publicaciones/automatasyLenguajes.pdf) (PDF)
* [Breves Notas sobre Teoría de la Computación](http://lya.fciencias.unam.mx/jloa/publicaciones/teoria.pdf) (PDF)


#### Cursos Masivos en Línea

* [Cursos de Programación Online Organizados](https://github.com/DpdC/biblioteca-espanol-gratis/blob/master/cursos-programacion-gratis.md#Índice) (Github)


#### Metodologías de desarrollo de software

* [Compendio de Ingeniería del Software](http://www.navegapolis.com/files/cis.pdf) (PDF)
* [Diseño Ágil con TDD](http://www.carlosble.com/downloads/disenoAgilConTdd_ebook.pdf) (PDF)
* [Ingeniería de Software: Una Guía para Crear Sistemas de Información](https://web.archive.org/web/20150824055042/http://www.wolnm.org/apa/articulos/Ingenieria_Software.pdf) (PDF)
* [Scrum & Extreme Programming (para programadores)](https://web.archive.org/web/20140209204645/http://www.cursosdeprogramacionadistancia.com/static/pdf/material-sin-personalizar-agile.pdf) (PDF)
* [Scrum y XP desde las trincheras](http://www.proyectalis.com/wp-content/uploads/2008/02/scrum-y-xp-desde-las-trincheras.pdf) (PDF)


#### Misceláneos

* [97 cosas que todo programador debería saber](http://97cosas.com/programador/) (HTML)
* [Docker](https://github.com/brunocascio/docker-espanol#docker) (Github)
* [El camino a un mejor programador](http://emanchado.github.io/camino-mejor-programador/downloads/camino_2013-01-19_0688b6e.html) (HTML) [(PDF, ePub)](http://emanchado.github.io/camino-mejor-programador/)
*[Introducción a Docker](https://www.rediris.es/tecniris/archie/doc//TECNIRIS47-1b.pdf) (PDF)
* [Programación de videojuegos SDL](http://libros.metabiblioteca.org/bitstream/001/271/8/Programacion_Videojuegos_SDL.pdf) (PDF)


#### Paradigmas de Programación

* [Programación Funcional (1996)](http://www.staff.science.uu.nl/~fokke101/courses/fp-sp.pdf) (PDF)


#### Sistemas Operativos

* [Fundamentos de Sistemas Operativos](http://sistop.org/pdf/sistemas_operativos.pdf) - Gunnar Wolf et al (PDF)
* [Sistemas Operativos](http://exa.unne.edu.ar/depar/areas/informatica/SistemasOperativos/sistope2.PDF) - Dr. David Luis la Red (PDF)


### Android

* [Curso Android](http://www.hermosaprogramacion.com/android) (HTML)
* [Manual de Programación Android v.2.0](http://ns2.elhacker.net/timofonica/manuales/Manual_Programacion_Android_v2.0.pdf) - Salvador Gómez Oliver (PDF)


### C

* [GNU/Linux: Programación de Sistemas](http://www.alcancelibre.org/filemgmt_data/files/programaciongnulinux.pdf) (PDF)
* [Introducción a la programación con C](http://repositori.uji.es/xmlui/bitstream/handle/10234/24306/s29.pdf) (PDF) (descarga directa)


### C++

* [Aprenda C++ avanzado como si estuviera en primero](http://www4.tecnun.es/asignaturas/Informat1/AyudaInf/aprendainf/cpp/avanzado/cppavan.pdf) (PDF)
* [Aprenda C++ básico como si estuviera en primero](http://www4.tecnun.es/asignaturas/Informat1/AyudaInf/aprendainf/cpp/basico/cppbasico.pdf) (PDF)
* [Ejercicios de programación creativos y recreativos en C++](http://antares.sip.ucm.es/cpareja/libroCPP/) (HTML)


### Coffeescript

* [Coffeescript, un pequeño gran libro](https://leanpub.com/coffeescript) - Javi Jiménez (Leanpub cuenta requerida)


### Ensamblador

* [Lenguaje Ensamblador para PC](https://pacman128.github.io/static/pcasm-book-spanish.pdf) - Paul A.Carter (PDF)


### Erlang

* [Programación en Erlang](https://es.wikibooks.org/wiki/Programaci%C3%B3n_en_Erlang) - WikiLibros


### Emacs

* [Una Introducción a Emacs Lisp en Español](http://savannah.nongnu.org/git/?group=elisp-es) (HTML)


### Git

* [Git Immersion en Español](https://esparta.github.io/gitimmersion-spanish)
* [Git. La guía simple](http://rogerdudler.github.io/git-guide) (HTML)
* [Gitmagic](http://www-cs-students.stanford.edu/~blynn/gitmagic/intl/es)
* [Pro Git](http://git-scm.com/book/es/)


### Github

* [Github Simple](https://github.com/MrOutis/GitHub-Simple#github-simple) (Github)


### Haskell

* [¡Aprende Haskell por el bien de todos!](http://aprendehaskell.es/main.html) (HTML)
* [Piensa en Haskell (ejercicios de programación funcional)](http://www.cs.us.es/~jalonso/publicaciones/Piensa_en_Haskell.pdf) (PDF)


### HTML & CSS

* [CSS avanzado](http://librosweb.es/libro/css_avanzado) Javier Eguíluz (HTML) [(PDF)](https://openlibra.com/es/book/download/css-avanzado)
* [CSS3 y JavaScript avanzado](https://openlibra.com/es/book/download/css3-y-javascript-avanzado) (PDF)
* [Diseño de Interfaces Web](http://interfacesweb.github.io/unidades/) (HTML)
* [Estructura con CSS](http://es.learnlayout.com) (HTML)
* [Guía Completa de CSS3](https://openlibra.com/es/book/download/guia-completa-de-css3) - Antonio Navajas (PDF)
* [Introducción a CSS](http://librosweb.es/libro/css/) - Javier Eguíluz (HTML) [(PDF)](https://openlibra.com/es/book/download/introduccion-a-css)


### Java

* [Aprendiendo Java y POO (2008)](https://openlibra.com/es/book/download/aprendiendo-java-y-poo) (PDF)
* [Desarrollo de proyectos informáticos con Java](http://www3.uji.es/~belfern/libroJava.pdf) (PDF)
* [Ejercicios de Programación en Java](https://www.arkaitzgarro.com/java/) - F.M. Pérez Montes (PDF)
* [Notas de Introducción al Lenguaje de Programación Java (2004)](http://lya.fciencias.unam.mx/jloa/publicaciones/introduccionJava.pdf) - Jorge L. Ortega Arjona (PDF)
* [Pensando la computación como un científico (con Java)](http://www.ungs.edu.ar/cm/uploaded_files/publicaciones/476_cid03-Pensar%20la%20computacion.pdf) (PDF)
* [PlugIn Apache Tapestry: desarrollo de aplicaciones y páginas web](https://picodotdev.github.io/blog-bitix/assets/custom/PlugInTapestry.pdf) (PDF) [(ePub, Mobi, HTML)](https://picodotdev.github.io/blog-bitix/2014/02/libro-sobre-desarrollo-de-aplicaciones-con-apache-tapestry/)
* [Prácticas d Java (2009)](https://openlibra.com/es/book/download/practicas-de-java) (PDF)
* [Preparando JavaSun 6 - OCPJP6](https://github.com/PabloReyes/ocpjp-resumen-espanol#ocpjp6-resumen-español) - Pablo Reyes Almagro (Github) [(PDF)](https://github.com/PabloReyes/ocpjp-resumen-espanol/blob/master/OCPJP6%20Resumen.pdf)
* [Programación en Java](http://elvex.ugr.es/decsai/java/) (HTML)
* [Tutorial básico de Java EE](http://static1.1.sqspcdn.com/static/f/923743/14770633/1416082087870/JavaEE.pdf) (PDF)
* [Tutorial introducción a Maven 3](http://static1.1.sqspcdn.com/static/f/923743/15025126/1320942755733/Tutorial_de_Maven_3_Erick_Camacho.pdf) - Erick Camacho (PDF)


### JavaScript

* [Guía de Javascript 'Mozilla'](https://developer.mozilla.org/es/docs/Web/JavaScript/Guide) (HTML)
* [Introducción a AJAX](http://librosweb.es/libro/ajax) (HTML) [(PDF)](https://openlibra.com/es/book/download/introduccion-ajax)
* [Introducción a JavaScript](http://librosweb.es/libro/javascript) (HTML) [(PDF)](https://openlibra.com/es/book/download/introduccion-a-javascript)
* [Jardín de JavaScript](http://bonsaiden.github.io/JavaScript-Garden/es) (HTML)
* [JavaScript, ¡Inspírate!](https://leanpub.com/javascript-inspirate) (Leanpub cuenta requerida)
* [JavaScript Para Gatos](https://jsparagatos.com) (HTML)
* [Manual de JavaScript](https://desarrolloweb.com/manuales/manual-javascript.html#capitulos20) (HTML)


#### AngularJS

* [Cómo aprender AngularJS](http://raulexposito.com/documentos/como-aprender-angularjs/) (HTML)


#### D3.js

* [Tutorial de D3](http://gcoch.github.io/D3-tutorial/index.html) (HTML)


#### jQuery

* [Fundamentos de jQuery](https://librosweb.es/libro/fundamentos_jquery) (HTML) [(PDF)](https://openlibra.com/es/book/download/fundamentos-de-jquery)
* [Manual de jQuery](http://mundosica.github.io/tutorial_hispano_jQuery/) (HTML)


#### Node.js

* [Introducción a Node.js a través de Koans](http://nodejskoans.com)


### LaTeX

* [La introducción no-tan-corta a LaTeX 2ε](http://osl.ugr.es/CTAN/info/lshort/spanish/lshort-a4.pdf) (PDF)


### Linux

* [Bases de la programación en Bash](http://xinfo.sourceforge.net/documentos/bash-scripting/bash-script-2.0.html) (HTML)
* [BASH Scripting Avanzado: Utilizando declare para definición de tipo](https://web.archive.org/web/20150307181233/http://library.originalhacker.org:80/biblioteca/articulo/ver/123) (descarga directa)
* [El Manual de BASH Scripting Básico para Principiantes](https://es.wikibooks.org/wiki/El_Manual_de_BASH_Scripting_B%C3%A1sico_para_Principiantes) - WikiLibros
* [El manual del Administrador de Debian](https://debian-handbook.info/browse/es-ES/stable/) (HTML) [(PDF, ePub, Mobi)](https://debian-handbook.info/get/now/)


### .NET (C# / Visual Studio)

* [El lenguaje de programación C#](http://dis.um.es/~bmoros/privado/bibliografia/LibroCsharp.pdf) (PDF)
* [Guía de Arquitectura N-capas Orientadas al Dominio](https://blogs.msdn.microsoft.com/cesardelatorre/2010/03/11/nuestro-nuevo-libro-guia-de-arquitectura-n-capas-ddd-net-4-0-y-aplicacion-ejemplo-en-disponibles-para-download-en-msdn-y-codeplex) (HTML)


### NoSQL

#### MongoDB

* [El pequeño libro MongoDB](https://github.com/uokesita/the-little-mongodb-book)
* [MongoDB en español: T1, El principio](https://dpdc.gitbooks.io/mongodb-en-espanol-tomo-1/content) - Yohan Graterol (Gitbook) (:construction: *en proceso*)


### PHP

* [Manual de estudio introductorio al lenguaje PHP procedural](https://web.archive.org/web/20140209203630/http://www.cursosdeprogramacionadistancia.com/static/pdf/material-sin-personalizar-php.pdf) (PDF)
* [PHP y Programación orientada a objetos](https://styde.net/php-y-programacion-orientada-a-objetos/) (HTML)
* [POO y MVC en PHP](http://www.bubok.es/libros/205199/POO-y-MVC-en-PHP) (Bubok)
* [Programación web avanzada: ajax y google maps](http://rua.ua.es/dspace/bitstream/10045/13176/9/04-ajaxphp.pdf) (PDF)
* [Silex, el manual oficial](http://librosweb.es/libro/silex) (HTML) 
* [Symfony 1.4, la guía definitiva](http://librosweb.es/libro/symfony_1_4) (HTML) [(PDF)](https://openlibra.com/es/book/download/symfony-la-guia-definitiva)
* [Symfony 2.4, el libro oficial](http://librosweb.es/libro/symfony_2_4/) (HTML) [(PDF)](https://openlibra.com/es/book/download/manual-de-symfony2-ver-2-0-12)


### Perl

* [Tutorial Perl](http://es.tldp.org/Tutoriales/PERL/tutoperl-print.pdf) (PDF)
* [Tutorial Perl](http://kataix.umag.cl/~ruribe/Utilidades/Tutorial%20de%20Perl.pdf) (PDF)
* [Tutoriales de Perl](http://perlenespanol.com/tutoriales/) (HTML)


### Python

* [Aprenda a pensar como un programador (con Python)](https://argentinaenpython.com/quiero-aprender-python/aprenda-a-pensar-como-un-programador-con-python.pdf) (PDF)
* [Doma de Serpientes para Niños: Aprendiendo a Programar con Python](http://code.google.com/p/swfk-es/) (HTML)
* [Inmersión en Python](http://es.diveintopython.net/toc.html) (HTML)
* [Inmersión en Python 3](https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/inmersionenpython3/inmersionEnPython3.0.11.pdf) (PDF) (descarga directa)
* [Introducción a la programación con Python](http://repositori.uji.es/xmlui/bitstream/handle/10234/24305/s23.pdf) (PDF)
* [Introducción a Programando con Python](http://opentechschool.github.io/python-beginners/es_CL/) (HTML)
* [Python instantáneo (1999)](http://www.arrakis.es/~rapto/AprendaPython.html) (HTML)
* [Python para ciencia e ingeniería](https://github.com/mgaitan/curso-python-cientifico#curso-de-python-para-ciencias-e-ingenierías) (Github)
* [Python para principiantes](http://librosweb.es/libro/python) (HTML) [(PDF)](https://web.archive.org/web/20150421012120/http://www.cursosdeprogramacionadistancia.com/static/pdf/material-sin-personalizar-python.pdf)
* [Python para todos](https://launchpadlibrarian.net/18980633/Python%20para%20todos.pdf) (PDF)


#### Django

* [Tutorial de Django Girls](https://tutorial.djangogirls.org/de/) (1.11) (HTML) (:construction: *in process*)


#### Web2py

* [Web2py - Manual de Referencia Completo, 5a Edición](http://www.web2py.com/books/default/chapter/41) (HTML)


### Ruby

* [Aprende a programar con Ruby](http://rubysur.org/aprende.a.programar) (Gitbook)
* [La Guía de Estilos de Ruby](https://github.com/alemohamad/ruby-style-guide/blob/master/README-esLA.md#preludio) (Github)
* [Ruby en 20 minutos](https://www.ruby-lang.org/es/documentation/quickstart) (HTML)
* [Ruby tutorial o como pasar un buen rato programando](http://rubytutorial.wikidot.com/introduccion) (HTML)


#### Ruby on Rails

* [Introducción a Rails](http://rubysur.org/introduccion.a.rails/) (Gitbook)


### R

* [Cartas sobre Estadística de la Revista Argentina de Bioingeniería](http://cran.r-project.org/doc/contrib/Risk-Cartas-sobre-Estadistica.pdf) (PDF)
* [Generacion automática de reportes con R y LaTeX](http://cran.r-project.org/doc/contrib/Rivera-Tutorial_Sweave.pdf) (PDF)
* [Gráficos Estadísticos con R](http://cran.r-project.org/doc/contrib/grafi3.pdf) (PDF)
* [Introducción a R](http://cran.r-project.org/doc/contrib/R-intro-1.1.0-espanol.1.pdf) (PDF)
* [Introducción al uso y programación del sistema estadístico R](http://cran.r-project.org/doc/contrib/curso-R.Diaz-Uriarte.pdf) (PDF)
* [Métodos Estadísticos con R y R Commander](http://cran.r-project.org/doc/contrib/Saez-Castillo-RRCmdrv21.pdf) (PDF)
* [Optimización Matemática con R: Volúmen I](http://cran.r-project.org/doc/contrib/Optimizacion_Matematica_con_R_Volumen_I.pdf) (PDF)
* [R para Principiantes](http://cran.r-project.org/doc/contrib/rdebuts_es.pdf) (PDF)


### Scala

* [Manual de Scala para programadores Java](http://www.scala-lang.org/docu/files/ScalaTutorial-es_ES.pdf) (PDF)
* [Scala con Ejemplos](https://github.com/ErunamoJAZZ/ScalaByExample-es) *(:construction: En proceso)*


### Scratch

* [Informática Creativa](https://github.com/programamos/GuiaScratch) (PDF)


### SQL

* [Manual de SQL](http://jorgesanchez.net/manuales/sql/intro-sql-sql2016.html) (HTML)
* [Tutorial de SQL](http://www.desarrolloweb.com/manuales/9/) (HTML)


### SVG

* [Scalable. Un libro sobre SVG](https://leanpub.com/scalable/) (Leanpub cuenta requerida)
